<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.foreverwin.mesnac.equip.mapper.EdcDataResourceMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.foreverwin.mesnac.equip.model.EdcDataResource">
        <id column="HANDLE" property="handle" />
        <result column="SITE" property="site" />
        <result column="RESRCE" property="resrce" />
        <result column="DC_GROUP_BO" property="dcGroupBo" />
        <result column="DATE_TIME" property="dateTime" />
        <result column="CREATED_DATE_TIME" property="createdDateTime" />
        <result column="CREATE_USER" property="createUser" />
        <result column="S1" property="s1" />
        <result column="S2" property="s2" />
        <result column="S3" property="s3" />
        <result column="S4" property="s4" />
        <result column="S5" property="s5" />
        <result column="S6" property="s6" />
        <result column="S7" property="s7" />
        <result column="S8" property="s8" />
        <result column="S9" property="s9" />
        <result column="S10" property="s10" />
        <result column="S11" property="s11" />
        <result column="S12" property="s12" />
        <result column="S13" property="s13" />
        <result column="S14" property="s14" />
        <result column="S15" property="s15" />
        <result column="S16" property="s16" />
        <result column="S17" property="s17" />
        <result column="S18" property="s18" />
        <result column="S19" property="s19" />
        <result column="S20" property="s20" />
        <result column="S21" property="s21" />
        <result column="S22" property="s22" />
        <result column="S23" property="s23" />
        <result column="S24" property="s24" />
        <result column="S25" property="s25" />
        <result column="S26" property="s26" />
        <result column="S27" property="s27" />
        <result column="S28" property="s28" />
        <result column="S29" property="s29" />
        <result column="S30" property="s30" />
        <result column="N1" property="n1" />
        <result column="N2" property="n2" />
        <result column="N3" property="n3" />
        <result column="N4" property="n4" />
        <result column="N5" property="n5" />
        <result column="N6" property="n6" />
        <result column="N7" property="n7" />
        <result column="N8" property="n8" />
        <result column="N9" property="n9" />
        <result column="N10" property="n10" />
        <result column="N11" property="n11" />
        <result column="N12" property="n12" />
        <result column="N13" property="n13" />
        <result column="N14" property="n14" />
        <result column="N15" property="n15" />
        <result column="N16" property="n16" />
        <result column="N17" property="n17" />
        <result column="N18" property="n18" />
        <result column="N19" property="n19" />
        <result column="N20" property="n20" />
        <result column="N21" property="n21" />
        <result column="N22" property="n22" />
        <result column="N23" property="n23" />
        <result column="N24" property="n24" />
        <result column="N25" property="n25" />
        <result column="N26" property="n26" />
        <result column="N27" property="n27" />
        <result column="N28" property="n28" />
        <result column="N29" property="n29" />
        <result column="N30" property="n30" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        HANDLE, SITE, RESRCE, DC_GROUP_BO, DATE_TIME, CREATED_DATE_TIME, CREATE_USER, S1, S2, S3, S4, S5, S6, S7, S8, S9, S10, S11, S12, S13, S14, S15, S16, S17, S18, S19, S20, S21, S22, S23, S24, S25, S26, S27, S28, S29, S30, N1, N2, N3, N4, N5, N6, N7, N8, N9, N10, N11, N12, N13, N14, N15, N16, N17, N18, N19, N20, N21, N22, N23, N24, N25, N26, N27, N28, N29, N30
    </sql>

    <!-- BaseMapper标准查询/修改/删除 -->
    <select id="selectById" resultMap="BaseResultMap">
        SELECT <include refid="Base_Column_List"></include> FROM Z_EDC_DATA_RESOURCE WHERE HANDLE=#{handle}
    </select>

    <select id="selectByMap" resultMap="BaseResultMap">
        SELECT <include refid="Base_Column_List"></include>
        FROM Z_EDC_DATA_RESOURCE
        <if test="cm!=null and !cm.isEmpty">
            <where>
                <foreach collection="cm.keys" item="k" separator="AND">
                    <if test="cm[k] != null">
                        ${k} = #{cm[${k}]}
                    </if>
                </foreach>
            </where>
        </if>
    </select>

    <select id="selectBatchIds" resultMap="BaseResultMap">
        SELECT <include refid="Base_Column_List"></include>
        FROM Z_EDC_DATA_RESOURCE WHERE HANDLE IN (
        <foreach item="item" index="index" collection="coll" separator=",">#{item}
        </foreach>)
    </select>

    <select id="selectOne" resultMap="BaseResultMap">
        SELECT <include refid="Base_Column_List"></include> FROM Z_EDC_DATA_RESOURCE
        <where>
            <if test="ew.entity.handle!=null">
              HANDLE=#{ew.handle}
            </if>
            <if test="ew.entity.site!=null"> AND SITE=#{ew.entity.site}</if>
            <if test="ew.entity.resrce!=null"> AND RESRCE=#{ew.entity.resrce}</if>
            <if test="ew.entity.dcGroupBo!=null"> AND DC_GROUP_BO=#{ew.entity.dcGroupBo}</if>
            <if test="ew.entity.dateTime!=null"> AND DATE_TIME=#{ew.entity.dateTime}</if>
            <if test="ew.entity.createdDateTime!=null"> AND CREATED_DATE_TIME=#{ew.entity.createdDateTime}</if>
            <if test="ew.entity.createUser!=null"> AND CREATE_USER=#{ew.entity.createUser}</if>
            <if test="ew.entity.s1!=null"> AND S1=#{ew.entity.s1}</if>
            <if test="ew.entity.s2!=null"> AND S2=#{ew.entity.s2}</if>
            <if test="ew.entity.s3!=null"> AND S3=#{ew.entity.s3}</if>
            <if test="ew.entity.s4!=null"> AND S4=#{ew.entity.s4}</if>
            <if test="ew.entity.s5!=null"> AND S5=#{ew.entity.s5}</if>
            <if test="ew.entity.s6!=null"> AND S6=#{ew.entity.s6}</if>
            <if test="ew.entity.s7!=null"> AND S7=#{ew.entity.s7}</if>
            <if test="ew.entity.s8!=null"> AND S8=#{ew.entity.s8}</if>
            <if test="ew.entity.s9!=null"> AND S9=#{ew.entity.s9}</if>
            <if test="ew.entity.s10!=null"> AND S10=#{ew.entity.s10}</if>
            <if test="ew.entity.s11!=null"> AND S11=#{ew.entity.s11}</if>
            <if test="ew.entity.s12!=null"> AND S12=#{ew.entity.s12}</if>
            <if test="ew.entity.s13!=null"> AND S13=#{ew.entity.s13}</if>
            <if test="ew.entity.s14!=null"> AND S14=#{ew.entity.s14}</if>
            <if test="ew.entity.s15!=null"> AND S15=#{ew.entity.s15}</if>
            <if test="ew.entity.s16!=null"> AND S16=#{ew.entity.s16}</if>
            <if test="ew.entity.s17!=null"> AND S17=#{ew.entity.s17}</if>
            <if test="ew.entity.s18!=null"> AND S18=#{ew.entity.s18}</if>
            <if test="ew.entity.s19!=null"> AND S19=#{ew.entity.s19}</if>
            <if test="ew.entity.s20!=null"> AND S20=#{ew.entity.s20}</if>
            <if test="ew.entity.s21!=null"> AND S21=#{ew.entity.s21}</if>
            <if test="ew.entity.s22!=null"> AND S22=#{ew.entity.s22}</if>
            <if test="ew.entity.s23!=null"> AND S23=#{ew.entity.s23}</if>
            <if test="ew.entity.s24!=null"> AND S24=#{ew.entity.s24}</if>
            <if test="ew.entity.s25!=null"> AND S25=#{ew.entity.s25}</if>
            <if test="ew.entity.s26!=null"> AND S26=#{ew.entity.s26}</if>
            <if test="ew.entity.s27!=null"> AND S27=#{ew.entity.s27}</if>
            <if test="ew.entity.s28!=null"> AND S28=#{ew.entity.s28}</if>
            <if test="ew.entity.s29!=null"> AND S29=#{ew.entity.s29}</if>
            <if test="ew.entity.s30!=null"> AND S30=#{ew.entity.s30}</if>
            <if test="ew.entity.n1!=null"> AND N1=#{ew.entity.n1}</if>
            <if test="ew.entity.n2!=null"> AND N2=#{ew.entity.n2}</if>
            <if test="ew.entity.n3!=null"> AND N3=#{ew.entity.n3}</if>
            <if test="ew.entity.n4!=null"> AND N4=#{ew.entity.n4}</if>
            <if test="ew.entity.n5!=null"> AND N5=#{ew.entity.n5}</if>
            <if test="ew.entity.n6!=null"> AND N6=#{ew.entity.n6}</if>
            <if test="ew.entity.n7!=null"> AND N7=#{ew.entity.n7}</if>
            <if test="ew.entity.n8!=null"> AND N8=#{ew.entity.n8}</if>
            <if test="ew.entity.n9!=null"> AND N9=#{ew.entity.n9}</if>
            <if test="ew.entity.n10!=null"> AND N10=#{ew.entity.n10}</if>
            <if test="ew.entity.n11!=null"> AND N11=#{ew.entity.n11}</if>
            <if test="ew.entity.n12!=null"> AND N12=#{ew.entity.n12}</if>
            <if test="ew.entity.n13!=null"> AND N13=#{ew.entity.n13}</if>
            <if test="ew.entity.n14!=null"> AND N14=#{ew.entity.n14}</if>
            <if test="ew.entity.n15!=null"> AND N15=#{ew.entity.n15}</if>
            <if test="ew.entity.n16!=null"> AND N16=#{ew.entity.n16}</if>
            <if test="ew.entity.n17!=null"> AND N17=#{ew.entity.n17}</if>
            <if test="ew.entity.n18!=null"> AND N18=#{ew.entity.n18}</if>
            <if test="ew.entity.n19!=null"> AND N19=#{ew.entity.n19}</if>
            <if test="ew.entity.n20!=null"> AND N20=#{ew.entity.n20}</if>
            <if test="ew.entity.n21!=null"> AND N21=#{ew.entity.n21}</if>
            <if test="ew.entity.n22!=null"> AND N22=#{ew.entity.n22}</if>
            <if test="ew.entity.n23!=null"> AND N23=#{ew.entity.n23}</if>
            <if test="ew.entity.n24!=null"> AND N24=#{ew.entity.n24}</if>
            <if test="ew.entity.n25!=null"> AND N25=#{ew.entity.n25}</if>
            <if test="ew.entity.n26!=null"> AND N26=#{ew.entity.n26}</if>
            <if test="ew.entity.n27!=null"> AND N27=#{ew.entity.n27}</if>
            <if test="ew.entity.n28!=null"> AND N28=#{ew.entity.n28}</if>
            <if test="ew.entity.n29!=null"> AND N29=#{ew.entity.n29}</if>
            <if test="ew.entity.n30!=null"> AND N30=#{ew.entity.n30}</if>
        </where>
    </select>

    <select id="selectCount" resultType="Integer">
        SELECT COUNT(1) FROM Z_EDC_DATA_RESOURCE
        <where>
            <if test="ew!=null">
                <if test="ew.entity!=null">
                <if test="ew.entity.handle!=null">
                    HANDLE=#{ew.entity.handle}
                </if>
                <if test="ew.entity.site!=null"> AND SITE=#{ew.entity.site}</if>
                <if test="ew.entity.resrce!=null"> AND RESRCE=#{ew.entity.resrce}</if>
                <if test="ew.entity.dcGroupBo!=null"> AND DC_GROUP_BO=#{ew.entity.dcGroupBo}</if>
                <if test="ew.entity.dateTime!=null"> AND DATE_TIME=#{ew.entity.dateTime}</if>
                <if test="ew.entity.createdDateTime!=null"> AND CREATED_DATE_TIME=#{ew.entity.createdDateTime}</if>
                <if test="ew.entity.createUser!=null"> AND CREATE_USER=#{ew.entity.createUser}</if>
                <if test="ew.entity.s1!=null"> AND S1=#{ew.entity.s1}</if>
                <if test="ew.entity.s2!=null"> AND S2=#{ew.entity.s2}</if>
                <if test="ew.entity.s3!=null"> AND S3=#{ew.entity.s3}</if>
                <if test="ew.entity.s4!=null"> AND S4=#{ew.entity.s4}</if>
                <if test="ew.entity.s5!=null"> AND S5=#{ew.entity.s5}</if>
                <if test="ew.entity.s6!=null"> AND S6=#{ew.entity.s6}</if>
                <if test="ew.entity.s7!=null"> AND S7=#{ew.entity.s7}</if>
                <if test="ew.entity.s8!=null"> AND S8=#{ew.entity.s8}</if>
                <if test="ew.entity.s9!=null"> AND S9=#{ew.entity.s9}</if>
                <if test="ew.entity.s10!=null"> AND S10=#{ew.entity.s10}</if>
                <if test="ew.entity.s11!=null"> AND S11=#{ew.entity.s11}</if>
                <if test="ew.entity.s12!=null"> AND S12=#{ew.entity.s12}</if>
                <if test="ew.entity.s13!=null"> AND S13=#{ew.entity.s13}</if>
                <if test="ew.entity.s14!=null"> AND S14=#{ew.entity.s14}</if>
                <if test="ew.entity.s15!=null"> AND S15=#{ew.entity.s15}</if>
                <if test="ew.entity.s16!=null"> AND S16=#{ew.entity.s16}</if>
                <if test="ew.entity.s17!=null"> AND S17=#{ew.entity.s17}</if>
                <if test="ew.entity.s18!=null"> AND S18=#{ew.entity.s18}</if>
                <if test="ew.entity.s19!=null"> AND S19=#{ew.entity.s19}</if>
                <if test="ew.entity.s20!=null"> AND S20=#{ew.entity.s20}</if>
                <if test="ew.entity.s21!=null"> AND S21=#{ew.entity.s21}</if>
                <if test="ew.entity.s22!=null"> AND S22=#{ew.entity.s22}</if>
                <if test="ew.entity.s23!=null"> AND S23=#{ew.entity.s23}</if>
                <if test="ew.entity.s24!=null"> AND S24=#{ew.entity.s24}</if>
                <if test="ew.entity.s25!=null"> AND S25=#{ew.entity.s25}</if>
                <if test="ew.entity.s26!=null"> AND S26=#{ew.entity.s26}</if>
                <if test="ew.entity.s27!=null"> AND S27=#{ew.entity.s27}</if>
                <if test="ew.entity.s28!=null"> AND S28=#{ew.entity.s28}</if>
                <if test="ew.entity.s29!=null"> AND S29=#{ew.entity.s29}</if>
                <if test="ew.entity.s30!=null"> AND S30=#{ew.entity.s30}</if>
                <if test="ew.entity.n1!=null"> AND N1=#{ew.entity.n1}</if>
                <if test="ew.entity.n2!=null"> AND N2=#{ew.entity.n2}</if>
                <if test="ew.entity.n3!=null"> AND N3=#{ew.entity.n3}</if>
                <if test="ew.entity.n4!=null"> AND N4=#{ew.entity.n4}</if>
                <if test="ew.entity.n5!=null"> AND N5=#{ew.entity.n5}</if>
                <if test="ew.entity.n6!=null"> AND N6=#{ew.entity.n6}</if>
                <if test="ew.entity.n7!=null"> AND N7=#{ew.entity.n7}</if>
                <if test="ew.entity.n8!=null"> AND N8=#{ew.entity.n8}</if>
                <if test="ew.entity.n9!=null"> AND N9=#{ew.entity.n9}</if>
                <if test="ew.entity.n10!=null"> AND N10=#{ew.entity.n10}</if>
                <if test="ew.entity.n11!=null"> AND N11=#{ew.entity.n11}</if>
                <if test="ew.entity.n12!=null"> AND N12=#{ew.entity.n12}</if>
                <if test="ew.entity.n13!=null"> AND N13=#{ew.entity.n13}</if>
                <if test="ew.entity.n14!=null"> AND N14=#{ew.entity.n14}</if>
                <if test="ew.entity.n15!=null"> AND N15=#{ew.entity.n15}</if>
                <if test="ew.entity.n16!=null"> AND N16=#{ew.entity.n16}</if>
                <if test="ew.entity.n17!=null"> AND N17=#{ew.entity.n17}</if>
                <if test="ew.entity.n18!=null"> AND N18=#{ew.entity.n18}</if>
                <if test="ew.entity.n19!=null"> AND N19=#{ew.entity.n19}</if>
                <if test="ew.entity.n20!=null"> AND N20=#{ew.entity.n20}</if>
                <if test="ew.entity.n21!=null"> AND N21=#{ew.entity.n21}</if>
                <if test="ew.entity.n22!=null"> AND N22=#{ew.entity.n22}</if>
                <if test="ew.entity.n23!=null"> AND N23=#{ew.entity.n23}</if>
                <if test="ew.entity.n24!=null"> AND N24=#{ew.entity.n24}</if>
                <if test="ew.entity.n25!=null"> AND N25=#{ew.entity.n25}</if>
                <if test="ew.entity.n26!=null"> AND N26=#{ew.entity.n26}</if>
                <if test="ew.entity.n27!=null"> AND N27=#{ew.entity.n27}</if>
                <if test="ew.entity.n28!=null"> AND N28=#{ew.entity.n28}</if>
                <if test="ew.entity.n29!=null"> AND N29=#{ew.entity.n29}</if>
                <if test="ew.entity.n30!=null"> AND N30=#{ew.entity.n30}</if>
                </if>
                <if test="ew!=null and ew.sqlSegment!=null and ew.nonEmptyOfWhere">
                    ${ew.sqlSegment}
                </if>
            </if>
        </where>
        <if test="ew!=null and ew.sqlSegment!=null and ew.emptyOfWhere">
            ${ew.sqlSegment}
        </if>
    </select>

    <select id="selectList" resultMap="BaseResultMap">
        SELECT <choose><when test="ew != null and ew.sqlSelect != null">${ew.sqlSelect}</when><otherwise><include refid="Base_Column_List"></include></otherwise></choose> FROM Z_EDC_DATA_RESOURCE
        <where>
            <if test="ew!=null">
                <if test="ew.entity!=null">
                    <if test="ew.entity.handle!=null">
                        HANDLE=#{ew.entity.handle}
                    </if>
                    <if test="ew.entity.site!=null"> AND SITE=#{ew.entity.site}</if>
                    <if test="ew.entity.resrce!=null"> AND RESRCE=#{ew.entity.resrce}</if>
                    <if test="ew.entity.dcGroupBo!=null"> AND DC_GROUP_BO=#{ew.entity.dcGroupBo}</if>
                    <if test="ew.entity.dateTime!=null"> AND DATE_TIME=#{ew.entity.dateTime}</if>
                    <if test="ew.entity.createdDateTime!=null"> AND CREATED_DATE_TIME=#{ew.entity.createdDateTime}</if>
                    <if test="ew.entity.createUser!=null"> AND CREATE_USER=#{ew.entity.createUser}</if>
                    <if test="ew.entity.s1!=null"> AND S1=#{ew.entity.s1}</if>
                    <if test="ew.entity.s2!=null"> AND S2=#{ew.entity.s2}</if>
                    <if test="ew.entity.s3!=null"> AND S3=#{ew.entity.s3}</if>
                    <if test="ew.entity.s4!=null"> AND S4=#{ew.entity.s4}</if>
                    <if test="ew.entity.s5!=null"> AND S5=#{ew.entity.s5}</if>
                    <if test="ew.entity.s6!=null"> AND S6=#{ew.entity.s6}</if>
                    <if test="ew.entity.s7!=null"> AND S7=#{ew.entity.s7}</if>
                    <if test="ew.entity.s8!=null"> AND S8=#{ew.entity.s8}</if>
                    <if test="ew.entity.s9!=null"> AND S9=#{ew.entity.s9}</if>
                    <if test="ew.entity.s10!=null"> AND S10=#{ew.entity.s10}</if>
                    <if test="ew.entity.s11!=null"> AND S11=#{ew.entity.s11}</if>
                    <if test="ew.entity.s12!=null"> AND S12=#{ew.entity.s12}</if>
                    <if test="ew.entity.s13!=null"> AND S13=#{ew.entity.s13}</if>
                    <if test="ew.entity.s14!=null"> AND S14=#{ew.entity.s14}</if>
                    <if test="ew.entity.s15!=null"> AND S15=#{ew.entity.s15}</if>
                    <if test="ew.entity.s16!=null"> AND S16=#{ew.entity.s16}</if>
                    <if test="ew.entity.s17!=null"> AND S17=#{ew.entity.s17}</if>
                    <if test="ew.entity.s18!=null"> AND S18=#{ew.entity.s18}</if>
                    <if test="ew.entity.s19!=null"> AND S19=#{ew.entity.s19}</if>
                    <if test="ew.entity.s20!=null"> AND S20=#{ew.entity.s20}</if>
                    <if test="ew.entity.s21!=null"> AND S21=#{ew.entity.s21}</if>
                    <if test="ew.entity.s22!=null"> AND S22=#{ew.entity.s22}</if>
                    <if test="ew.entity.s23!=null"> AND S23=#{ew.entity.s23}</if>
                    <if test="ew.entity.s24!=null"> AND S24=#{ew.entity.s24}</if>
                    <if test="ew.entity.s25!=null"> AND S25=#{ew.entity.s25}</if>
                    <if test="ew.entity.s26!=null"> AND S26=#{ew.entity.s26}</if>
                    <if test="ew.entity.s27!=null"> AND S27=#{ew.entity.s27}</if>
                    <if test="ew.entity.s28!=null"> AND S28=#{ew.entity.s28}</if>
                    <if test="ew.entity.s29!=null"> AND S29=#{ew.entity.s29}</if>
                    <if test="ew.entity.s30!=null"> AND S30=#{ew.entity.s30}</if>
                    <if test="ew.entity.n1!=null"> AND N1=#{ew.entity.n1}</if>
                    <if test="ew.entity.n2!=null"> AND N2=#{ew.entity.n2}</if>
                    <if test="ew.entity.n3!=null"> AND N3=#{ew.entity.n3}</if>
                    <if test="ew.entity.n4!=null"> AND N4=#{ew.entity.n4}</if>
                    <if test="ew.entity.n5!=null"> AND N5=#{ew.entity.n5}</if>
                    <if test="ew.entity.n6!=null"> AND N6=#{ew.entity.n6}</if>
                    <if test="ew.entity.n7!=null"> AND N7=#{ew.entity.n7}</if>
                    <if test="ew.entity.n8!=null"> AND N8=#{ew.entity.n8}</if>
                    <if test="ew.entity.n9!=null"> AND N9=#{ew.entity.n9}</if>
                    <if test="ew.entity.n10!=null"> AND N10=#{ew.entity.n10}</if>
                    <if test="ew.entity.n11!=null"> AND N11=#{ew.entity.n11}</if>
                    <if test="ew.entity.n12!=null"> AND N12=#{ew.entity.n12}</if>
                    <if test="ew.entity.n13!=null"> AND N13=#{ew.entity.n13}</if>
                    <if test="ew.entity.n14!=null"> AND N14=#{ew.entity.n14}</if>
                    <if test="ew.entity.n15!=null"> AND N15=#{ew.entity.n15}</if>
                    <if test="ew.entity.n16!=null"> AND N16=#{ew.entity.n16}</if>
                    <if test="ew.entity.n17!=null"> AND N17=#{ew.entity.n17}</if>
                    <if test="ew.entity.n18!=null"> AND N18=#{ew.entity.n18}</if>
                    <if test="ew.entity.n19!=null"> AND N19=#{ew.entity.n19}</if>
                    <if test="ew.entity.n20!=null"> AND N20=#{ew.entity.n20}</if>
                    <if test="ew.entity.n21!=null"> AND N21=#{ew.entity.n21}</if>
                    <if test="ew.entity.n22!=null"> AND N22=#{ew.entity.n22}</if>
                    <if test="ew.entity.n23!=null"> AND N23=#{ew.entity.n23}</if>
                    <if test="ew.entity.n24!=null"> AND N24=#{ew.entity.n24}</if>
                    <if test="ew.entity.n25!=null"> AND N25=#{ew.entity.n25}</if>
                    <if test="ew.entity.n26!=null"> AND N26=#{ew.entity.n26}</if>
                    <if test="ew.entity.n27!=null"> AND N27=#{ew.entity.n27}</if>
                    <if test="ew.entity.n28!=null"> AND N28=#{ew.entity.n28}</if>
                    <if test="ew.entity.n29!=null"> AND N29=#{ew.entity.n29}</if>
                    <if test="ew.entity.n30!=null"> AND N30=#{ew.entity.n30}</if>
                </if>
                <if test="ew!=null and ew.sqlSegment!=null and ew.nonEmptyOfWhere">
                    ${ew.sqlSegment}
                </if>
            </if>
        </where>
        <if test="ew!=null and ew.sqlSegment!=null and ew.emptyOfWhere">
            ${ew.sqlSegment}
        </if>
    </select>

    <select id="selectMaps" resultType="HashMap">
        SELECT <choose><when test="ew != null and ew.sqlSelect != null">${ew.sqlSelect}</when><otherwise><include refid="Base_Column_List"></include></otherwise></choose> FROM Z_EDC_DATA_RESOURCE
        <where>
            <if test="ew!=null">
                <if test="ew.entity!=null">
                    <if test="ew.entity.handle!=null">
                        HANDLE=#{ew.entity.handle}
                    </if>
                    <if test="ew.entity.site!=null"> AND SITE=#{ew.entity.site}</if>
                    <if test="ew.entity.resrce!=null"> AND RESRCE=#{ew.entity.resrce}</if>
                    <if test="ew.entity.dcGroupBo!=null"> AND DC_GROUP_BO=#{ew.entity.dcGroupBo}</if>
                    <if test="ew.entity.dateTime!=null"> AND DATE_TIME=#{ew.entity.dateTime}</if>
                    <if test="ew.entity.createdDateTime!=null"> AND CREATED_DATE_TIME=#{ew.entity.createdDateTime}</if>
                    <if test="ew.entity.createUser!=null"> AND CREATE_USER=#{ew.entity.createUser}</if>
                    <if test="ew.entity.s1!=null"> AND S1=#{ew.entity.s1}</if>
                    <if test="ew.entity.s2!=null"> AND S2=#{ew.entity.s2}</if>
                    <if test="ew.entity.s3!=null"> AND S3=#{ew.entity.s3}</if>
                    <if test="ew.entity.s4!=null"> AND S4=#{ew.entity.s4}</if>
                    <if test="ew.entity.s5!=null"> AND S5=#{ew.entity.s5}</if>
                    <if test="ew.entity.s6!=null"> AND S6=#{ew.entity.s6}</if>
                    <if test="ew.entity.s7!=null"> AND S7=#{ew.entity.s7}</if>
                    <if test="ew.entity.s8!=null"> AND S8=#{ew.entity.s8}</if>
                    <if test="ew.entity.s9!=null"> AND S9=#{ew.entity.s9}</if>
                    <if test="ew.entity.s10!=null"> AND S10=#{ew.entity.s10}</if>
                    <if test="ew.entity.s11!=null"> AND S11=#{ew.entity.s11}</if>
                    <if test="ew.entity.s12!=null"> AND S12=#{ew.entity.s12}</if>
                    <if test="ew.entity.s13!=null"> AND S13=#{ew.entity.s13}</if>
                    <if test="ew.entity.s14!=null"> AND S14=#{ew.entity.s14}</if>
                    <if test="ew.entity.s15!=null"> AND S15=#{ew.entity.s15}</if>
                    <if test="ew.entity.s16!=null"> AND S16=#{ew.entity.s16}</if>
                    <if test="ew.entity.s17!=null"> AND S17=#{ew.entity.s17}</if>
                    <if test="ew.entity.s18!=null"> AND S18=#{ew.entity.s18}</if>
                    <if test="ew.entity.s19!=null"> AND S19=#{ew.entity.s19}</if>
                    <if test="ew.entity.s20!=null"> AND S20=#{ew.entity.s20}</if>
                    <if test="ew.entity.s21!=null"> AND S21=#{ew.entity.s21}</if>
                    <if test="ew.entity.s22!=null"> AND S22=#{ew.entity.s22}</if>
                    <if test="ew.entity.s23!=null"> AND S23=#{ew.entity.s23}</if>
                    <if test="ew.entity.s24!=null"> AND S24=#{ew.entity.s24}</if>
                    <if test="ew.entity.s25!=null"> AND S25=#{ew.entity.s25}</if>
                    <if test="ew.entity.s26!=null"> AND S26=#{ew.entity.s26}</if>
                    <if test="ew.entity.s27!=null"> AND S27=#{ew.entity.s27}</if>
                    <if test="ew.entity.s28!=null"> AND S28=#{ew.entity.s28}</if>
                    <if test="ew.entity.s29!=null"> AND S29=#{ew.entity.s29}</if>
                    <if test="ew.entity.s30!=null"> AND S30=#{ew.entity.s30}</if>
                    <if test="ew.entity.n1!=null"> AND N1=#{ew.entity.n1}</if>
                    <if test="ew.entity.n2!=null"> AND N2=#{ew.entity.n2}</if>
                    <if test="ew.entity.n3!=null"> AND N3=#{ew.entity.n3}</if>
                    <if test="ew.entity.n4!=null"> AND N4=#{ew.entity.n4}</if>
                    <if test="ew.entity.n5!=null"> AND N5=#{ew.entity.n5}</if>
                    <if test="ew.entity.n6!=null"> AND N6=#{ew.entity.n6}</if>
                    <if test="ew.entity.n7!=null"> AND N7=#{ew.entity.n7}</if>
                    <if test="ew.entity.n8!=null"> AND N8=#{ew.entity.n8}</if>
                    <if test="ew.entity.n9!=null"> AND N9=#{ew.entity.n9}</if>
                    <if test="ew.entity.n10!=null"> AND N10=#{ew.entity.n10}</if>
                    <if test="ew.entity.n11!=null"> AND N11=#{ew.entity.n11}</if>
                    <if test="ew.entity.n12!=null"> AND N12=#{ew.entity.n12}</if>
                    <if test="ew.entity.n13!=null"> AND N13=#{ew.entity.n13}</if>
                    <if test="ew.entity.n14!=null"> AND N14=#{ew.entity.n14}</if>
                    <if test="ew.entity.n15!=null"> AND N15=#{ew.entity.n15}</if>
                    <if test="ew.entity.n16!=null"> AND N16=#{ew.entity.n16}</if>
                    <if test="ew.entity.n17!=null"> AND N17=#{ew.entity.n17}</if>
                    <if test="ew.entity.n18!=null"> AND N18=#{ew.entity.n18}</if>
                    <if test="ew.entity.n19!=null"> AND N19=#{ew.entity.n19}</if>
                    <if test="ew.entity.n20!=null"> AND N20=#{ew.entity.n20}</if>
                    <if test="ew.entity.n21!=null"> AND N21=#{ew.entity.n21}</if>
                    <if test="ew.entity.n22!=null"> AND N22=#{ew.entity.n22}</if>
                    <if test="ew.entity.n23!=null"> AND N23=#{ew.entity.n23}</if>
                    <if test="ew.entity.n24!=null"> AND N24=#{ew.entity.n24}</if>
                    <if test="ew.entity.n25!=null"> AND N25=#{ew.entity.n25}</if>
                    <if test="ew.entity.n26!=null"> AND N26=#{ew.entity.n26}</if>
                    <if test="ew.entity.n27!=null"> AND N27=#{ew.entity.n27}</if>
                    <if test="ew.entity.n28!=null"> AND N28=#{ew.entity.n28}</if>
                    <if test="ew.entity.n29!=null"> AND N29=#{ew.entity.n29}</if>
                    <if test="ew.entity.n30!=null"> AND N30=#{ew.entity.n30}</if>
                </if>
                <if test="ew!=null and ew.sqlSegment!=null and ew.nonEmptyOfWhere">
                    ${ew.sqlSegment}
                </if>
            </if>
        </where>
        <if test="ew!=null and ew.sqlSegment!=null and ew.emptyOfWhere">
            ${ew.sqlSegment}
        </if>
    </select>

    <select id="selectObjs" resultType="Object">
        SELECT <choose><when test="ew != null and ew.sqlSelect != null">${ew.sqlSelect}</when><otherwise><include refid="Base_Column_List"></include></otherwise></choose> FROM Z_EDC_DATA_RESOURCE
        <where>
            <if test="ew!=null">
                <if test="ew.entity!=null">
                    <if test="ew.entity.handle!=null">
                        HANDLE=#{ew.entity.handle}
                    </if>
                    <if test="ew.entity.site!=null"> AND SITE=#{ew.entity.site}</if>
                    <if test="ew.entity.resrce!=null"> AND RESRCE=#{ew.entity.resrce}</if>
                    <if test="ew.entity.dcGroupBo!=null"> AND DC_GROUP_BO=#{ew.entity.dcGroupBo}</if>
                    <if test="ew.entity.dateTime!=null"> AND DATE_TIME=#{ew.entity.dateTime}</if>
                    <if test="ew.entity.createdDateTime!=null"> AND CREATED_DATE_TIME=#{ew.entity.createdDateTime}</if>
                    <if test="ew.entity.createUser!=null"> AND CREATE_USER=#{ew.entity.createUser}</if>
                    <if test="ew.entity.s1!=null"> AND S1=#{ew.entity.s1}</if>
                    <if test="ew.entity.s2!=null"> AND S2=#{ew.entity.s2}</if>
                    <if test="ew.entity.s3!=null"> AND S3=#{ew.entity.s3}</if>
                    <if test="ew.entity.s4!=null"> AND S4=#{ew.entity.s4}</if>
                    <if test="ew.entity.s5!=null"> AND S5=#{ew.entity.s5}</if>
                    <if test="ew.entity.s6!=null"> AND S6=#{ew.entity.s6}</if>
                    <if test="ew.entity.s7!=null"> AND S7=#{ew.entity.s7}</if>
                    <if test="ew.entity.s8!=null"> AND S8=#{ew.entity.s8}</if>
                    <if test="ew.entity.s9!=null"> AND S9=#{ew.entity.s9}</if>
                    <if test="ew.entity.s10!=null"> AND S10=#{ew.entity.s10}</if>
                    <if test="ew.entity.s11!=null"> AND S11=#{ew.entity.s11}</if>
                    <if test="ew.entity.s12!=null"> AND S12=#{ew.entity.s12}</if>
                    <if test="ew.entity.s13!=null"> AND S13=#{ew.entity.s13}</if>
                    <if test="ew.entity.s14!=null"> AND S14=#{ew.entity.s14}</if>
                    <if test="ew.entity.s15!=null"> AND S15=#{ew.entity.s15}</if>
                    <if test="ew.entity.s16!=null"> AND S16=#{ew.entity.s16}</if>
                    <if test="ew.entity.s17!=null"> AND S17=#{ew.entity.s17}</if>
                    <if test="ew.entity.s18!=null"> AND S18=#{ew.entity.s18}</if>
                    <if test="ew.entity.s19!=null"> AND S19=#{ew.entity.s19}</if>
                    <if test="ew.entity.s20!=null"> AND S20=#{ew.entity.s20}</if>
                    <if test="ew.entity.s21!=null"> AND S21=#{ew.entity.s21}</if>
                    <if test="ew.entity.s22!=null"> AND S22=#{ew.entity.s22}</if>
                    <if test="ew.entity.s23!=null"> AND S23=#{ew.entity.s23}</if>
                    <if test="ew.entity.s24!=null"> AND S24=#{ew.entity.s24}</if>
                    <if test="ew.entity.s25!=null"> AND S25=#{ew.entity.s25}</if>
                    <if test="ew.entity.s26!=null"> AND S26=#{ew.entity.s26}</if>
                    <if test="ew.entity.s27!=null"> AND S27=#{ew.entity.s27}</if>
                    <if test="ew.entity.s28!=null"> AND S28=#{ew.entity.s28}</if>
                    <if test="ew.entity.s29!=null"> AND S29=#{ew.entity.s29}</if>
                    <if test="ew.entity.s30!=null"> AND S30=#{ew.entity.s30}</if>
                    <if test="ew.entity.n1!=null"> AND N1=#{ew.entity.n1}</if>
                    <if test="ew.entity.n2!=null"> AND N2=#{ew.entity.n2}</if>
                    <if test="ew.entity.n3!=null"> AND N3=#{ew.entity.n3}</if>
                    <if test="ew.entity.n4!=null"> AND N4=#{ew.entity.n4}</if>
                    <if test="ew.entity.n5!=null"> AND N5=#{ew.entity.n5}</if>
                    <if test="ew.entity.n6!=null"> AND N6=#{ew.entity.n6}</if>
                    <if test="ew.entity.n7!=null"> AND N7=#{ew.entity.n7}</if>
                    <if test="ew.entity.n8!=null"> AND N8=#{ew.entity.n8}</if>
                    <if test="ew.entity.n9!=null"> AND N9=#{ew.entity.n9}</if>
                    <if test="ew.entity.n10!=null"> AND N10=#{ew.entity.n10}</if>
                    <if test="ew.entity.n11!=null"> AND N11=#{ew.entity.n11}</if>
                    <if test="ew.entity.n12!=null"> AND N12=#{ew.entity.n12}</if>
                    <if test="ew.entity.n13!=null"> AND N13=#{ew.entity.n13}</if>
                    <if test="ew.entity.n14!=null"> AND N14=#{ew.entity.n14}</if>
                    <if test="ew.entity.n15!=null"> AND N15=#{ew.entity.n15}</if>
                    <if test="ew.entity.n16!=null"> AND N16=#{ew.entity.n16}</if>
                    <if test="ew.entity.n17!=null"> AND N17=#{ew.entity.n17}</if>
                    <if test="ew.entity.n18!=null"> AND N18=#{ew.entity.n18}</if>
                    <if test="ew.entity.n19!=null"> AND N19=#{ew.entity.n19}</if>
                    <if test="ew.entity.n20!=null"> AND N20=#{ew.entity.n20}</if>
                    <if test="ew.entity.n21!=null"> AND N21=#{ew.entity.n21}</if>
                    <if test="ew.entity.n22!=null"> AND N22=#{ew.entity.n22}</if>
                    <if test="ew.entity.n23!=null"> AND N23=#{ew.entity.n23}</if>
                    <if test="ew.entity.n24!=null"> AND N24=#{ew.entity.n24}</if>
                    <if test="ew.entity.n25!=null"> AND N25=#{ew.entity.n25}</if>
                    <if test="ew.entity.n26!=null"> AND N26=#{ew.entity.n26}</if>
                    <if test="ew.entity.n27!=null"> AND N27=#{ew.entity.n27}</if>
                    <if test="ew.entity.n28!=null"> AND N28=#{ew.entity.n28}</if>
                    <if test="ew.entity.n29!=null"> AND N29=#{ew.entity.n29}</if>
                    <if test="ew.entity.n30!=null"> AND N30=#{ew.entity.n30}</if>
                </if>
                <if test="ew!=null and ew.sqlSegment!=null and ew.nonEmptyOfWhere">
                    ${ew.sqlSegment}
                </if>
            </if>
        </where>
        <if test="ew!=null and ew.sqlSegment!=null and ew.emptyOfWhere">
            ${ew.sqlSegment}
        </if>
    </select>

    <select id="selectPage" resultMap="BaseResultMap">
        SELECT <choose><when test="ew != null and ew.sqlSelect != null">${ew.sqlSelect}</when><otherwise><include refid="Base_Column_List"></include></otherwise></choose> FROM Z_EDC_DATA_RESOURCE
        <where>
            <if test="ew!=null">
                <if test="ew.entity!=null">
                    <if test="ew.entity.handle!=null">
                        HANDLE=#{ew.entity.handle}
                    </if>
                    <if test="ew.entity.site!=null"> AND SITE=#{ew.entity.site}</if>
                    <if test="ew.entity.resrce!=null"> AND RESRCE=#{ew.entity.resrce}</if>
                    <if test="ew.entity.dcGroupBo!=null"> AND DC_GROUP_BO=#{ew.entity.dcGroupBo}</if>
                    <if test="ew.entity.dateTime!=null"> AND DATE_TIME=#{ew.entity.dateTime}</if>
                    <if test="ew.entity.createdDateTime!=null"> AND CREATED_DATE_TIME=#{ew.entity.createdDateTime}</if>
                    <if test="ew.entity.createUser!=null"> AND CREATE_USER=#{ew.entity.createUser}</if>
                    <if test="ew.entity.s1!=null"> AND S1=#{ew.entity.s1}</if>
                    <if test="ew.entity.s2!=null"> AND S2=#{ew.entity.s2}</if>
                    <if test="ew.entity.s3!=null"> AND S3=#{ew.entity.s3}</if>
                    <if test="ew.entity.s4!=null"> AND S4=#{ew.entity.s4}</if>
                    <if test="ew.entity.s5!=null"> AND S5=#{ew.entity.s5}</if>
                    <if test="ew.entity.s6!=null"> AND S6=#{ew.entity.s6}</if>
                    <if test="ew.entity.s7!=null"> AND S7=#{ew.entity.s7}</if>
                    <if test="ew.entity.s8!=null"> AND S8=#{ew.entity.s8}</if>
                    <if test="ew.entity.s9!=null"> AND S9=#{ew.entity.s9}</if>
                    <if test="ew.entity.s10!=null"> AND S10=#{ew.entity.s10}</if>
                    <if test="ew.entity.s11!=null"> AND S11=#{ew.entity.s11}</if>
                    <if test="ew.entity.s12!=null"> AND S12=#{ew.entity.s12}</if>
                    <if test="ew.entity.s13!=null"> AND S13=#{ew.entity.s13}</if>
                    <if test="ew.entity.s14!=null"> AND S14=#{ew.entity.s14}</if>
                    <if test="ew.entity.s15!=null"> AND S15=#{ew.entity.s15}</if>
                    <if test="ew.entity.s16!=null"> AND S16=#{ew.entity.s16}</if>
                    <if test="ew.entity.s17!=null"> AND S17=#{ew.entity.s17}</if>
                    <if test="ew.entity.s18!=null"> AND S18=#{ew.entity.s18}</if>
                    <if test="ew.entity.s19!=null"> AND S19=#{ew.entity.s19}</if>
                    <if test="ew.entity.s20!=null"> AND S20=#{ew.entity.s20}</if>
                    <if test="ew.entity.s21!=null"> AND S21=#{ew.entity.s21}</if>
                    <if test="ew.entity.s22!=null"> AND S22=#{ew.entity.s22}</if>
                    <if test="ew.entity.s23!=null"> AND S23=#{ew.entity.s23}</if>
                    <if test="ew.entity.s24!=null"> AND S24=#{ew.entity.s24}</if>
                    <if test="ew.entity.s25!=null"> AND S25=#{ew.entity.s25}</if>
                    <if test="ew.entity.s26!=null"> AND S26=#{ew.entity.s26}</if>
                    <if test="ew.entity.s27!=null"> AND S27=#{ew.entity.s27}</if>
                    <if test="ew.entity.s28!=null"> AND S28=#{ew.entity.s28}</if>
                    <if test="ew.entity.s29!=null"> AND S29=#{ew.entity.s29}</if>
                    <if test="ew.entity.s30!=null"> AND S30=#{ew.entity.s30}</if>
                    <if test="ew.entity.n1!=null"> AND N1=#{ew.entity.n1}</if>
                    <if test="ew.entity.n2!=null"> AND N2=#{ew.entity.n2}</if>
                    <if test="ew.entity.n3!=null"> AND N3=#{ew.entity.n3}</if>
                    <if test="ew.entity.n4!=null"> AND N4=#{ew.entity.n4}</if>
                    <if test="ew.entity.n5!=null"> AND N5=#{ew.entity.n5}</if>
                    <if test="ew.entity.n6!=null"> AND N6=#{ew.entity.n6}</if>
                    <if test="ew.entity.n7!=null"> AND N7=#{ew.entity.n7}</if>
                    <if test="ew.entity.n8!=null"> AND N8=#{ew.entity.n8}</if>
                    <if test="ew.entity.n9!=null"> AND N9=#{ew.entity.n9}</if>
                    <if test="ew.entity.n10!=null"> AND N10=#{ew.entity.n10}</if>
                    <if test="ew.entity.n11!=null"> AND N11=#{ew.entity.n11}</if>
                    <if test="ew.entity.n12!=null"> AND N12=#{ew.entity.n12}</if>
                    <if test="ew.entity.n13!=null"> AND N13=#{ew.entity.n13}</if>
                    <if test="ew.entity.n14!=null"> AND N14=#{ew.entity.n14}</if>
                    <if test="ew.entity.n15!=null"> AND N15=#{ew.entity.n15}</if>
                    <if test="ew.entity.n16!=null"> AND N16=#{ew.entity.n16}</if>
                    <if test="ew.entity.n17!=null"> AND N17=#{ew.entity.n17}</if>
                    <if test="ew.entity.n18!=null"> AND N18=#{ew.entity.n18}</if>
                    <if test="ew.entity.n19!=null"> AND N19=#{ew.entity.n19}</if>
                    <if test="ew.entity.n20!=null"> AND N20=#{ew.entity.n20}</if>
                    <if test="ew.entity.n21!=null"> AND N21=#{ew.entity.n21}</if>
                    <if test="ew.entity.n22!=null"> AND N22=#{ew.entity.n22}</if>
                    <if test="ew.entity.n23!=null"> AND N23=#{ew.entity.n23}</if>
                    <if test="ew.entity.n24!=null"> AND N24=#{ew.entity.n24}</if>
                    <if test="ew.entity.n25!=null"> AND N25=#{ew.entity.n25}</if>
                    <if test="ew.entity.n26!=null"> AND N26=#{ew.entity.n26}</if>
                    <if test="ew.entity.n27!=null"> AND N27=#{ew.entity.n27}</if>
                    <if test="ew.entity.n28!=null"> AND N28=#{ew.entity.n28}</if>
                    <if test="ew.entity.n29!=null"> AND N29=#{ew.entity.n29}</if>
                    <if test="ew.entity.n30!=null"> AND N30=#{ew.entity.n30}</if>
                </if>
                <if test="ew!=null and ew.sqlSegment!=null and ew.nonEmptyOfWhere">
                    ${ew.sqlSegment}
                </if>
            </if>
        </where>
        <if test="ew!=null and ew.sqlSegment!=null and ew.emptyOfWhere">
            ${ew.sqlSegment}
        </if>
    </select>

    <select id="selectMapsPage" resultType="HashMap">
        SELECT <choose><when test="ew != null and ew.sqlSelect != null">${ew.sqlSelect}</when><otherwise><include refid="Base_Column_List"></include></otherwise></choose> FROM Z_EDC_DATA_RESOURCE
        <where>
            <if test="ew!=null">
                <if test="ew.entity!=null">
                    <if test="ew.entity.handle!=null">
                        HANDLE=#{ew.entity.handle}
                    </if>
                    <if test="ew.entity.site!=null"> AND SITE=#{ew.entity.site}</if>
                    <if test="ew.entity.resrce!=null"> AND RESRCE=#{ew.entity.resrce}</if>
                    <if test="ew.entity.dcGroupBo!=null"> AND DC_GROUP_BO=#{ew.entity.dcGroupBo}</if>
                    <if test="ew.entity.dateTime!=null"> AND DATE_TIME=#{ew.entity.dateTime}</if>
                    <if test="ew.entity.createdDateTime!=null"> AND CREATED_DATE_TIME=#{ew.entity.createdDateTime}</if>
                    <if test="ew.entity.createUser!=null"> AND CREATE_USER=#{ew.entity.createUser}</if>
                    <if test="ew.entity.s1!=null"> AND S1=#{ew.entity.s1}</if>
                    <if test="ew.entity.s2!=null"> AND S2=#{ew.entity.s2}</if>
                    <if test="ew.entity.s3!=null"> AND S3=#{ew.entity.s3}</if>
                    <if test="ew.entity.s4!=null"> AND S4=#{ew.entity.s4}</if>
                    <if test="ew.entity.s5!=null"> AND S5=#{ew.entity.s5}</if>
                    <if test="ew.entity.s6!=null"> AND S6=#{ew.entity.s6}</if>
                    <if test="ew.entity.s7!=null"> AND S7=#{ew.entity.s7}</if>
                    <if test="ew.entity.s8!=null"> AND S8=#{ew.entity.s8}</if>
                    <if test="ew.entity.s9!=null"> AND S9=#{ew.entity.s9}</if>
                    <if test="ew.entity.s10!=null"> AND S10=#{ew.entity.s10}</if>
                    <if test="ew.entity.s11!=null"> AND S11=#{ew.entity.s11}</if>
                    <if test="ew.entity.s12!=null"> AND S12=#{ew.entity.s12}</if>
                    <if test="ew.entity.s13!=null"> AND S13=#{ew.entity.s13}</if>
                    <if test="ew.entity.s14!=null"> AND S14=#{ew.entity.s14}</if>
                    <if test="ew.entity.s15!=null"> AND S15=#{ew.entity.s15}</if>
                    <if test="ew.entity.s16!=null"> AND S16=#{ew.entity.s16}</if>
                    <if test="ew.entity.s17!=null"> AND S17=#{ew.entity.s17}</if>
                    <if test="ew.entity.s18!=null"> AND S18=#{ew.entity.s18}</if>
                    <if test="ew.entity.s19!=null"> AND S19=#{ew.entity.s19}</if>
                    <if test="ew.entity.s20!=null"> AND S20=#{ew.entity.s20}</if>
                    <if test="ew.entity.s21!=null"> AND S21=#{ew.entity.s21}</if>
                    <if test="ew.entity.s22!=null"> AND S22=#{ew.entity.s22}</if>
                    <if test="ew.entity.s23!=null"> AND S23=#{ew.entity.s23}</if>
                    <if test="ew.entity.s24!=null"> AND S24=#{ew.entity.s24}</if>
                    <if test="ew.entity.s25!=null"> AND S25=#{ew.entity.s25}</if>
                    <if test="ew.entity.s26!=null"> AND S26=#{ew.entity.s26}</if>
                    <if test="ew.entity.s27!=null"> AND S27=#{ew.entity.s27}</if>
                    <if test="ew.entity.s28!=null"> AND S28=#{ew.entity.s28}</if>
                    <if test="ew.entity.s29!=null"> AND S29=#{ew.entity.s29}</if>
                    <if test="ew.entity.s30!=null"> AND S30=#{ew.entity.s30}</if>
                    <if test="ew.entity.n1!=null"> AND N1=#{ew.entity.n1}</if>
                    <if test="ew.entity.n2!=null"> AND N2=#{ew.entity.n2}</if>
                    <if test="ew.entity.n3!=null"> AND N3=#{ew.entity.n3}</if>
                    <if test="ew.entity.n4!=null"> AND N4=#{ew.entity.n4}</if>
                    <if test="ew.entity.n5!=null"> AND N5=#{ew.entity.n5}</if>
                    <if test="ew.entity.n6!=null"> AND N6=#{ew.entity.n6}</if>
                    <if test="ew.entity.n7!=null"> AND N7=#{ew.entity.n7}</if>
                    <if test="ew.entity.n8!=null"> AND N8=#{ew.entity.n8}</if>
                    <if test="ew.entity.n9!=null"> AND N9=#{ew.entity.n9}</if>
                    <if test="ew.entity.n10!=null"> AND N10=#{ew.entity.n10}</if>
                    <if test="ew.entity.n11!=null"> AND N11=#{ew.entity.n11}</if>
                    <if test="ew.entity.n12!=null"> AND N12=#{ew.entity.n12}</if>
                    <if test="ew.entity.n13!=null"> AND N13=#{ew.entity.n13}</if>
                    <if test="ew.entity.n14!=null"> AND N14=#{ew.entity.n14}</if>
                    <if test="ew.entity.n15!=null"> AND N15=#{ew.entity.n15}</if>
                    <if test="ew.entity.n16!=null"> AND N16=#{ew.entity.n16}</if>
                    <if test="ew.entity.n17!=null"> AND N17=#{ew.entity.n17}</if>
                    <if test="ew.entity.n18!=null"> AND N18=#{ew.entity.n18}</if>
                    <if test="ew.entity.n19!=null"> AND N19=#{ew.entity.n19}</if>
                    <if test="ew.entity.n20!=null"> AND N20=#{ew.entity.n20}</if>
                    <if test="ew.entity.n21!=null"> AND N21=#{ew.entity.n21}</if>
                    <if test="ew.entity.n22!=null"> AND N22=#{ew.entity.n22}</if>
                    <if test="ew.entity.n23!=null"> AND N23=#{ew.entity.n23}</if>
                    <if test="ew.entity.n24!=null"> AND N24=#{ew.entity.n24}</if>
                    <if test="ew.entity.n25!=null"> AND N25=#{ew.entity.n25}</if>
                    <if test="ew.entity.n26!=null"> AND N26=#{ew.entity.n26}</if>
                    <if test="ew.entity.n27!=null"> AND N27=#{ew.entity.n27}</if>
                    <if test="ew.entity.n28!=null"> AND N28=#{ew.entity.n28}</if>
                    <if test="ew.entity.n29!=null"> AND N29=#{ew.entity.n29}</if>
                    <if test="ew.entity.n30!=null"> AND N30=#{ew.entity.n30}</if>
                </if>
                <if test="ew!=null and ew.sqlSegment!=null and ew.nonEmptyOfWhere">
                    ${ew.sqlSegment}
                </if>
            </if>
        </where>
        <if test="ew!=null and ew.sqlSegment!=null and ew.emptyOfWhere">
            ${ew.sqlSegment}
        </if>
    </select>

    <insert id="insert" parameterType="com.foreverwin.mesnac.equip.model.EdcDataResource">
        INSERT INTO Z_EDC_DATA_RESOURCE
        <trim prefix="(" suffix=")" suffixOverrides=",">
            HANDLE,
            <if test="site!=null">SITE,</if>
            <if test="resrce!=null">RESRCE,</if>
            <if test="dcGroupBo!=null">DC_GROUP_BO,</if>
            <if test="dateTime!=null">DATE_TIME,</if>
            <if test="createdDateTime!=null">CREATED_DATE_TIME,</if>
            <if test="createUser!=null">CREATE_USER,</if>
            <if test="s1!=null">S1,</if>
            <if test="s2!=null">S2,</if>
            <if test="s3!=null">S3,</if>
            <if test="s4!=null">S4,</if>
            <if test="s5!=null">S5,</if>
            <if test="s6!=null">S6,</if>
            <if test="s7!=null">S7,</if>
            <if test="s8!=null">S8,</if>
            <if test="s9!=null">S9,</if>
            <if test="s10!=null">S10,</if>
            <if test="s11!=null">S11,</if>
            <if test="s12!=null">S12,</if>
            <if test="s13!=null">S13,</if>
            <if test="s14!=null">S14,</if>
            <if test="s15!=null">S15,</if>
            <if test="s16!=null">S16,</if>
            <if test="s17!=null">S17,</if>
            <if test="s18!=null">S18,</if>
            <if test="s19!=null">S19,</if>
            <if test="s20!=null">S20,</if>
            <if test="s21!=null">S21,</if>
            <if test="s22!=null">S22,</if>
            <if test="s23!=null">S23,</if>
            <if test="s24!=null">S24,</if>
            <if test="s25!=null">S25,</if>
            <if test="s26!=null">S26,</if>
            <if test="s27!=null">S27,</if>
            <if test="s28!=null">S28,</if>
            <if test="s29!=null">S29,</if>
            <if test="s30!=null">S30,</if>
            <if test="n1!=null">N1,</if>
            <if test="n2!=null">N2,</if>
            <if test="n3!=null">N3,</if>
            <if test="n4!=null">N4,</if>
            <if test="n5!=null">N5,</if>
            <if test="n6!=null">N6,</if>
            <if test="n7!=null">N7,</if>
            <if test="n8!=null">N8,</if>
            <if test="n9!=null">N9,</if>
            <if test="n10!=null">N10,</if>
            <if test="n11!=null">N11,</if>
            <if test="n12!=null">N12,</if>
            <if test="n13!=null">N13,</if>
            <if test="n14!=null">N14,</if>
            <if test="n15!=null">N15,</if>
            <if test="n16!=null">N16,</if>
            <if test="n17!=null">N17,</if>
            <if test="n18!=null">N18,</if>
            <if test="n19!=null">N19,</if>
            <if test="n20!=null">N20,</if>
            <if test="n21!=null">N21,</if>
            <if test="n22!=null">N22,</if>
            <if test="n23!=null">N23,</if>
            <if test="n24!=null">N24,</if>
            <if test="n25!=null">N25,</if>
            <if test="n26!=null">N26,</if>
            <if test="n27!=null">N27,</if>
            <if test="n28!=null">N28,</if>
            <if test="n29!=null">N29,</if>
            <if test="n30!=null">N30,</if>
        </trim> VALUES
        <trim prefix="(" suffix=")" suffixOverrides=",">
            #{handle},
            <if test="site!=null">#{site},</if>
            <if test="resrce!=null">#{resrce},</if>
            <if test="dcGroupBo!=null">#{dcGroupBo},</if>
            <if test="dateTime!=null">#{dateTime},</if>
            <if test="createdDateTime!=null">#{createdDateTime},</if>
            <if test="createUser!=null">#{createUser},</if>
            <if test="s1!=null">#{s1},</if>
            <if test="s2!=null">#{s2},</if>
            <if test="s3!=null">#{s3},</if>
            <if test="s4!=null">#{s4},</if>
            <if test="s5!=null">#{s5},</if>
            <if test="s6!=null">#{s6},</if>
            <if test="s7!=null">#{s7},</if>
            <if test="s8!=null">#{s8},</if>
            <if test="s9!=null">#{s9},</if>
            <if test="s10!=null">#{s10},</if>
            <if test="s11!=null">#{s11},</if>
            <if test="s12!=null">#{s12},</if>
            <if test="s13!=null">#{s13},</if>
            <if test="s14!=null">#{s14},</if>
            <if test="s15!=null">#{s15},</if>
            <if test="s16!=null">#{s16},</if>
            <if test="s17!=null">#{s17},</if>
            <if test="s18!=null">#{s18},</if>
            <if test="s19!=null">#{s19},</if>
            <if test="s20!=null">#{s20},</if>
            <if test="s21!=null">#{s21},</if>
            <if test="s22!=null">#{s22},</if>
            <if test="s23!=null">#{s23},</if>
            <if test="s24!=null">#{s24},</if>
            <if test="s25!=null">#{s25},</if>
            <if test="s26!=null">#{s26},</if>
            <if test="s27!=null">#{s27},</if>
            <if test="s28!=null">#{s28},</if>
            <if test="s29!=null">#{s29},</if>
            <if test="s30!=null">#{s30},</if>
            <if test="n1!=null">#{n1},</if>
            <if test="n2!=null">#{n2},</if>
            <if test="n3!=null">#{n3},</if>
            <if test="n4!=null">#{n4},</if>
            <if test="n5!=null">#{n5},</if>
            <if test="n6!=null">#{n6},</if>
            <if test="n7!=null">#{n7},</if>
            <if test="n8!=null">#{n8},</if>
            <if test="n9!=null">#{n9},</if>
            <if test="n10!=null">#{n10},</if>
            <if test="n11!=null">#{n11},</if>
            <if test="n12!=null">#{n12},</if>
            <if test="n13!=null">#{n13},</if>
            <if test="n14!=null">#{n14},</if>
            <if test="n15!=null">#{n15},</if>
            <if test="n16!=null">#{n16},</if>
            <if test="n17!=null">#{n17},</if>
            <if test="n18!=null">#{n18},</if>
            <if test="n19!=null">#{n19},</if>
            <if test="n20!=null">#{n20},</if>
            <if test="n21!=null">#{n21},</if>
            <if test="n22!=null">#{n22},</if>
            <if test="n23!=null">#{n23},</if>
            <if test="n24!=null">#{n24},</if>
            <if test="n25!=null">#{n25},</if>
            <if test="n26!=null">#{n26},</if>
            <if test="n27!=null">#{n27},</if>
            <if test="n28!=null">#{n28},</if>
            <if test="n29!=null">#{n29},</if>
            <if test="n30!=null">#{n30},</if>
        </trim>
    </insert>

    <insert id="insertAllColumn" parameterType="com.foreverwin.mesnac.equip.model.EdcDataResource">
        INSERT INTO Z_EDC_DATA_RESOURCE
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <include refid="Base_Column_List"></include>
        </trim> VALUES
        <trim prefix="(" suffix=")" suffixOverrides=",">
            #{handle},
            #{site},
            #{resrce},
            #{dcGroupBo},
            #{dateTime},
            #{createdDateTime},
            #{createUser},
            #{s1},
            #{s2},
            #{s3},
            #{s4},
            #{s5},
            #{s6},
            #{s7},
            #{s8},
            #{s9},
            #{s10},
            #{s11},
            #{s12},
            #{s13},
            #{s14},
            #{s15},
            #{s16},
            #{s17},
            #{s18},
            #{s19},
            #{s20},
            #{s21},
            #{s22},
            #{s23},
            #{s24},
            #{s25},
            #{s26},
            #{s27},
            #{s28},
            #{s29},
            #{s30},
            #{n1},
            #{n2},
            #{n3},
            #{n4},
            #{n5},
            #{n6},
            #{n7},
            #{n8},
            #{n9},
            #{n10},
            #{n11},
            #{n12},
            #{n13},
            #{n14},
            #{n15},
            #{n16},
            #{n17},
            #{n18},
            #{n19},
            #{n20},
            #{n21},
            #{n22},
            #{n23},
            #{n24},
            #{n25},
            #{n26},
            #{n27},
            #{n28},
            #{n29},
            #{n30},
        </trim>
    </insert>


    <update id="updateById">
        UPDATE Z_EDC_DATA_RESOURCE <trim prefix="SET" suffixOverrides=",">
        <if test="et.site!=null">SITE=#{et.site},</if>
        <if test="et.resrce!=null">RESRCE=#{et.resrce},</if>
        <if test="et.dcGroupBo!=null">DC_GROUP_BO=#{et.dcGroupBo},</if>
        <if test="et.dateTime!=null">DATE_TIME=#{et.dateTime},</if>
        <if test="et.createdDateTime!=null">CREATED_DATE_TIME=#{et.createdDateTime},</if>
        <if test="et.createUser!=null">CREATE_USER=#{et.createUser},</if>
        <if test="et.s1!=null">S1=#{et.s1},</if>
        <if test="et.s2!=null">S2=#{et.s2},</if>
        <if test="et.s3!=null">S3=#{et.s3},</if>
        <if test="et.s4!=null">S4=#{et.s4},</if>
        <if test="et.s5!=null">S5=#{et.s5},</if>
        <if test="et.s6!=null">S6=#{et.s6},</if>
        <if test="et.s7!=null">S7=#{et.s7},</if>
        <if test="et.s8!=null">S8=#{et.s8},</if>
        <if test="et.s9!=null">S9=#{et.s9},</if>
        <if test="et.s10!=null">S10=#{et.s10},</if>
        <if test="et.s11!=null">S11=#{et.s11},</if>
        <if test="et.s12!=null">S12=#{et.s12},</if>
        <if test="et.s13!=null">S13=#{et.s13},</if>
        <if test="et.s14!=null">S14=#{et.s14},</if>
        <if test="et.s15!=null">S15=#{et.s15},</if>
        <if test="et.s16!=null">S16=#{et.s16},</if>
        <if test="et.s17!=null">S17=#{et.s17},</if>
        <if test="et.s18!=null">S18=#{et.s18},</if>
        <if test="et.s19!=null">S19=#{et.s19},</if>
        <if test="et.s20!=null">S20=#{et.s20},</if>
        <if test="et.s21!=null">S21=#{et.s21},</if>
        <if test="et.s22!=null">S22=#{et.s22},</if>
        <if test="et.s23!=null">S23=#{et.s23},</if>
        <if test="et.s24!=null">S24=#{et.s24},</if>
        <if test="et.s25!=null">S25=#{et.s25},</if>
        <if test="et.s26!=null">S26=#{et.s26},</if>
        <if test="et.s27!=null">S27=#{et.s27},</if>
        <if test="et.s28!=null">S28=#{et.s28},</if>
        <if test="et.s29!=null">S29=#{et.s29},</if>
        <if test="et.s30!=null">S30=#{et.s30},</if>
        <if test="et.n1!=null">N1=#{et.n1},</if>
        <if test="et.n2!=null">N2=#{et.n2},</if>
        <if test="et.n3!=null">N3=#{et.n3},</if>
        <if test="et.n4!=null">N4=#{et.n4},</if>
        <if test="et.n5!=null">N5=#{et.n5},</if>
        <if test="et.n6!=null">N6=#{et.n6},</if>
        <if test="et.n7!=null">N7=#{et.n7},</if>
        <if test="et.n8!=null">N8=#{et.n8},</if>
        <if test="et.n9!=null">N9=#{et.n9},</if>
        <if test="et.n10!=null">N10=#{et.n10},</if>
        <if test="et.n11!=null">N11=#{et.n11},</if>
        <if test="et.n12!=null">N12=#{et.n12},</if>
        <if test="et.n13!=null">N13=#{et.n13},</if>
        <if test="et.n14!=null">N14=#{et.n14},</if>
        <if test="et.n15!=null">N15=#{et.n15},</if>
        <if test="et.n16!=null">N16=#{et.n16},</if>
        <if test="et.n17!=null">N17=#{et.n17},</if>
        <if test="et.n18!=null">N18=#{et.n18},</if>
        <if test="et.n19!=null">N19=#{et.n19},</if>
        <if test="et.n20!=null">N20=#{et.n20},</if>
        <if test="et.n21!=null">N21=#{et.n21},</if>
        <if test="et.n22!=null">N22=#{et.n22},</if>
        <if test="et.n23!=null">N23=#{et.n23},</if>
        <if test="et.n24!=null">N24=#{et.n24},</if>
        <if test="et.n25!=null">N25=#{et.n25},</if>
        <if test="et.n26!=null">N26=#{et.n26},</if>
        <if test="et.n27!=null">N27=#{et.n27},</if>
        <if test="et.n28!=null">N28=#{et.n28},</if>
        <if test="et.n29!=null">N29=#{et.n29},</if>
        <if test="et.n30!=null">N30=#{et.n30},</if>
        </trim> WHERE HANDLE=#{et.handle} <if test="et instanceof java.util.Map"><if test="et.MP_OPTLOCK_VERSION_ORIGINAL!=null">and ${et.MP_OPTLOCK_VERSION_COLUMN}=#{et.MP_OPTLOCK_VERSION_ORIGINAL}</if></if>
    </update>


    <update id="updateAllColumnById">
        UPDATE Z_EDC_DATA_RESOURCE <trim prefix="SET" suffixOverrides=",">
        SITE=#{et.site},
        RESRCE=#{et.resrce},
        DC_GROUP_BO=#{et.dcGroupBo},
        DATE_TIME=#{et.dateTime},
        CREATED_DATE_TIME=#{et.createdDateTime},
        CREATE_USER=#{et.createUser},
        S1=#{et.s1},
        S2=#{et.s2},
        S3=#{et.s3},
        S4=#{et.s4},
        S5=#{et.s5},
        S6=#{et.s6},
        S7=#{et.s7},
        S8=#{et.s8},
        S9=#{et.s9},
        S10=#{et.s10},
        S11=#{et.s11},
        S12=#{et.s12},
        S13=#{et.s13},
        S14=#{et.s14},
        S15=#{et.s15},
        S16=#{et.s16},
        S17=#{et.s17},
        S18=#{et.s18},
        S19=#{et.s19},
        S20=#{et.s20},
        S21=#{et.s21},
        S22=#{et.s22},
        S23=#{et.s23},
        S24=#{et.s24},
        S25=#{et.s25},
        S26=#{et.s26},
        S27=#{et.s27},
        S28=#{et.s28},
        S29=#{et.s29},
        S30=#{et.s30},
        N1=#{et.n1},
        N2=#{et.n2},
        N3=#{et.n3},
        N4=#{et.n4},
        N5=#{et.n5},
        N6=#{et.n6},
        N7=#{et.n7},
        N8=#{et.n8},
        N9=#{et.n9},
        N10=#{et.n10},
        N11=#{et.n11},
        N12=#{et.n12},
        N13=#{et.n13},
        N14=#{et.n14},
        N15=#{et.n15},
        N16=#{et.n16},
        N17=#{et.n17},
        N18=#{et.n18},
        N19=#{et.n19},
        N20=#{et.n20},
        N21=#{et.n21},
        N22=#{et.n22},
        N23=#{et.n23},
        N24=#{et.n24},
        N25=#{et.n25},
        N26=#{et.n26},
        N27=#{et.n27},
        N28=#{et.n28},
        N29=#{et.n29},
        N30=#{et.n30},
     </trim> WHERE HANDLE=#{et.handle} <if test="et instanceof java.util.Map"><if test="et.MP_OPTLOCK_VERSION_ORIGINAL!=null">and ${et.MP_OPTLOCK_VERSION_COLUMN}=#{et.MP_OPTLOCK_VERSION_ORIGINAL}</if></if>
    </update>


    <update id="update">
        UPDATE Z_EDC_DATA_RESOURCE <trim prefix="SET" suffixOverrides=",">
        <if test="et.site!=null">SITE=#{et.site},</if>
        <if test="et.resrce!=null">RESRCE=#{et.resrce},</if>
        <if test="et.dcGroupBo!=null">DC_GROUP_BO=#{et.dcGroupBo},</if>
        <if test="et.dateTime!=null">DATE_TIME=#{et.dateTime},</if>
        <if test="et.createdDateTime!=null">CREATED_DATE_TIME=#{et.createdDateTime},</if>
        <if test="et.createUser!=null">CREATE_USER=#{et.createUser},</if>
        <if test="et.s1!=null">S1=#{et.s1},</if>
        <if test="et.s2!=null">S2=#{et.s2},</if>
        <if test="et.s3!=null">S3=#{et.s3},</if>
        <if test="et.s4!=null">S4=#{et.s4},</if>
        <if test="et.s5!=null">S5=#{et.s5},</if>
        <if test="et.s6!=null">S6=#{et.s6},</if>
        <if test="et.s7!=null">S7=#{et.s7},</if>
        <if test="et.s8!=null">S8=#{et.s8},</if>
        <if test="et.s9!=null">S9=#{et.s9},</if>
        <if test="et.s10!=null">S10=#{et.s10},</if>
        <if test="et.s11!=null">S11=#{et.s11},</if>
        <if test="et.s12!=null">S12=#{et.s12},</if>
        <if test="et.s13!=null">S13=#{et.s13},</if>
        <if test="et.s14!=null">S14=#{et.s14},</if>
        <if test="et.s15!=null">S15=#{et.s15},</if>
        <if test="et.s16!=null">S16=#{et.s16},</if>
        <if test="et.s17!=null">S17=#{et.s17},</if>
        <if test="et.s18!=null">S18=#{et.s18},</if>
        <if test="et.s19!=null">S19=#{et.s19},</if>
        <if test="et.s20!=null">S20=#{et.s20},</if>
        <if test="et.s21!=null">S21=#{et.s21},</if>
        <if test="et.s22!=null">S22=#{et.s22},</if>
        <if test="et.s23!=null">S23=#{et.s23},</if>
        <if test="et.s24!=null">S24=#{et.s24},</if>
        <if test="et.s25!=null">S25=#{et.s25},</if>
        <if test="et.s26!=null">S26=#{et.s26},</if>
        <if test="et.s27!=null">S27=#{et.s27},</if>
        <if test="et.s28!=null">S28=#{et.s28},</if>
        <if test="et.s29!=null">S29=#{et.s29},</if>
        <if test="et.s30!=null">S30=#{et.s30},</if>
        <if test="et.n1!=null">N1=#{et.n1},</if>
        <if test="et.n2!=null">N2=#{et.n2},</if>
        <if test="et.n3!=null">N3=#{et.n3},</if>
        <if test="et.n4!=null">N4=#{et.n4},</if>
        <if test="et.n5!=null">N5=#{et.n5},</if>
        <if test="et.n6!=null">N6=#{et.n6},</if>
        <if test="et.n7!=null">N7=#{et.n7},</if>
        <if test="et.n8!=null">N8=#{et.n8},</if>
        <if test="et.n9!=null">N9=#{et.n9},</if>
        <if test="et.n10!=null">N10=#{et.n10},</if>
        <if test="et.n11!=null">N11=#{et.n11},</if>
        <if test="et.n12!=null">N12=#{et.n12},</if>
        <if test="et.n13!=null">N13=#{et.n13},</if>
        <if test="et.n14!=null">N14=#{et.n14},</if>
        <if test="et.n15!=null">N15=#{et.n15},</if>
        <if test="et.n16!=null">N16=#{et.n16},</if>
        <if test="et.n17!=null">N17=#{et.n17},</if>
        <if test="et.n18!=null">N18=#{et.n18},</if>
        <if test="et.n19!=null">N19=#{et.n19},</if>
        <if test="et.n20!=null">N20=#{et.n20},</if>
        <if test="et.n21!=null">N21=#{et.n21},</if>
        <if test="et.n22!=null">N22=#{et.n22},</if>
        <if test="et.n23!=null">N23=#{et.n23},</if>
        <if test="et.n24!=null">N24=#{et.n24},</if>
        <if test="et.n25!=null">N25=#{et.n25},</if>
        <if test="et.n26!=null">N26=#{et.n26},</if>
        <if test="et.n27!=null">N27=#{et.n27},</if>
        <if test="et.n28!=null">N28=#{et.n28},</if>
        <if test="et.n29!=null">N29=#{et.n29},</if>
        <if test="et.n30!=null">N30=#{et.n30},</if>
    </trim>
        <where>
            <if test="ew!=null">
                <if test="ew.entity!=null">
                    HANDLE=#{ew.entity.handle}
                    <if test="ew.entity.site!=null"> AND SITE=#{ew.entity.site}</if>
                    <if test="ew.entity.resrce!=null"> AND RESRCE=#{ew.entity.resrce}</if>
                    <if test="ew.entity.dcGroupBo!=null"> AND DC_GROUP_BO=#{ew.entity.dcGroupBo}</if>
                    <if test="ew.entity.dateTime!=null"> AND DATE_TIME=#{ew.entity.dateTime}</if>
                    <if test="ew.entity.createdDateTime!=null"> AND CREATED_DATE_TIME=#{ew.entity.createdDateTime}</if>
                    <if test="ew.entity.createUser!=null"> AND CREATE_USER=#{ew.entity.createUser}</if>
                    <if test="ew.entity.s1!=null"> AND S1=#{ew.entity.s1}</if>
                    <if test="ew.entity.s2!=null"> AND S2=#{ew.entity.s2}</if>
                    <if test="ew.entity.s3!=null"> AND S3=#{ew.entity.s3}</if>
                    <if test="ew.entity.s4!=null"> AND S4=#{ew.entity.s4}</if>
                    <if test="ew.entity.s5!=null"> AND S5=#{ew.entity.s5}</if>
                    <if test="ew.entity.s6!=null"> AND S6=#{ew.entity.s6}</if>
                    <if test="ew.entity.s7!=null"> AND S7=#{ew.entity.s7}</if>
                    <if test="ew.entity.s8!=null"> AND S8=#{ew.entity.s8}</if>
                    <if test="ew.entity.s9!=null"> AND S9=#{ew.entity.s9}</if>
                    <if test="ew.entity.s10!=null"> AND S10=#{ew.entity.s10}</if>
                    <if test="ew.entity.s11!=null"> AND S11=#{ew.entity.s11}</if>
                    <if test="ew.entity.s12!=null"> AND S12=#{ew.entity.s12}</if>
                    <if test="ew.entity.s13!=null"> AND S13=#{ew.entity.s13}</if>
                    <if test="ew.entity.s14!=null"> AND S14=#{ew.entity.s14}</if>
                    <if test="ew.entity.s15!=null"> AND S15=#{ew.entity.s15}</if>
                    <if test="ew.entity.s16!=null"> AND S16=#{ew.entity.s16}</if>
                    <if test="ew.entity.s17!=null"> AND S17=#{ew.entity.s17}</if>
                    <if test="ew.entity.s18!=null"> AND S18=#{ew.entity.s18}</if>
                    <if test="ew.entity.s19!=null"> AND S19=#{ew.entity.s19}</if>
                    <if test="ew.entity.s20!=null"> AND S20=#{ew.entity.s20}</if>
                    <if test="ew.entity.s21!=null"> AND S21=#{ew.entity.s21}</if>
                    <if test="ew.entity.s22!=null"> AND S22=#{ew.entity.s22}</if>
                    <if test="ew.entity.s23!=null"> AND S23=#{ew.entity.s23}</if>
                    <if test="ew.entity.s24!=null"> AND S24=#{ew.entity.s24}</if>
                    <if test="ew.entity.s25!=null"> AND S25=#{ew.entity.s25}</if>
                    <if test="ew.entity.s26!=null"> AND S26=#{ew.entity.s26}</if>
                    <if test="ew.entity.s27!=null"> AND S27=#{ew.entity.s27}</if>
                    <if test="ew.entity.s28!=null"> AND S28=#{ew.entity.s28}</if>
                    <if test="ew.entity.s29!=null"> AND S29=#{ew.entity.s29}</if>
                    <if test="ew.entity.s30!=null"> AND S30=#{ew.entity.s30}</if>
                    <if test="ew.entity.n1!=null"> AND N1=#{ew.entity.n1}</if>
                    <if test="ew.entity.n2!=null"> AND N2=#{ew.entity.n2}</if>
                    <if test="ew.entity.n3!=null"> AND N3=#{ew.entity.n3}</if>
                    <if test="ew.entity.n4!=null"> AND N4=#{ew.entity.n4}</if>
                    <if test="ew.entity.n5!=null"> AND N5=#{ew.entity.n5}</if>
                    <if test="ew.entity.n6!=null"> AND N6=#{ew.entity.n6}</if>
                    <if test="ew.entity.n7!=null"> AND N7=#{ew.entity.n7}</if>
                    <if test="ew.entity.n8!=null"> AND N8=#{ew.entity.n8}</if>
                    <if test="ew.entity.n9!=null"> AND N9=#{ew.entity.n9}</if>
                    <if test="ew.entity.n10!=null"> AND N10=#{ew.entity.n10}</if>
                    <if test="ew.entity.n11!=null"> AND N11=#{ew.entity.n11}</if>
                    <if test="ew.entity.n12!=null"> AND N12=#{ew.entity.n12}</if>
                    <if test="ew.entity.n13!=null"> AND N13=#{ew.entity.n13}</if>
                    <if test="ew.entity.n14!=null"> AND N14=#{ew.entity.n14}</if>
                    <if test="ew.entity.n15!=null"> AND N15=#{ew.entity.n15}</if>
                    <if test="ew.entity.n16!=null"> AND N16=#{ew.entity.n16}</if>
                    <if test="ew.entity.n17!=null"> AND N17=#{ew.entity.n17}</if>
                    <if test="ew.entity.n18!=null"> AND N18=#{ew.entity.n18}</if>
                    <if test="ew.entity.n19!=null"> AND N19=#{ew.entity.n19}</if>
                    <if test="ew.entity.n20!=null"> AND N20=#{ew.entity.n20}</if>
                    <if test="ew.entity.n21!=null"> AND N21=#{ew.entity.n21}</if>
                    <if test="ew.entity.n22!=null"> AND N22=#{ew.entity.n22}</if>
                    <if test="ew.entity.n23!=null"> AND N23=#{ew.entity.n23}</if>
                    <if test="ew.entity.n24!=null"> AND N24=#{ew.entity.n24}</if>
                    <if test="ew.entity.n25!=null"> AND N25=#{ew.entity.n25}</if>
                    <if test="ew.entity.n26!=null"> AND N26=#{ew.entity.n26}</if>
                    <if test="ew.entity.n27!=null"> AND N27=#{ew.entity.n27}</if>
                    <if test="ew.entity.n28!=null"> AND N28=#{ew.entity.n28}</if>
                    <if test="ew.entity.n29!=null"> AND N29=#{ew.entity.n29}</if>
                    <if test="ew.entity.n30!=null"> AND N30=#{ew.entity.n30}</if>
                </if>
                <if test="ew!=null and ew.sqlSegment!=null and ew.nonEmptyOfWhere">
                    ${ew.sqlSegment}
                </if>
            </if>
        </where>
        <if test="ew!=null and ew.sqlSegment!=null and ew.emptyOfWhere">
            ${ew.sqlSegment}
        </if>
    </update>

    <delete id="deleteById">
        DELETE FROM Z_EDC_DATA_RESOURCE WHERE HANDLE=#{handle}
    </delete>

    <delete id="deleteByMap">
        DELETE FROM Z_EDC_DATA_RESOURCE
        <if test="cm!=null and !cm.isEmpty">
            <where>
                <foreach collection="cm.keys" item="k" separator="AND">
                    <if test="cm[k] != null">
                        ${k} = #{cm[${k}]}
                    </if>
                </foreach>
            </where>
        </if>
    </delete>

    <delete id="delete">
        DELETE FROM Z_EDC_DATA_RESOURCE
        <where>
            <if test="ew!=null">
                <if test="ew.entity!=null">
                    <if test="ew.entity.handle!=null">
                        HANDLE=#{ew.entity.handle}
                    </if>
                    <if test="ew.entity.site!=null"> AND SITE=#{ew.entity.site}</if>
                    <if test="ew.entity.resrce!=null"> AND RESRCE=#{ew.entity.resrce}</if>
                    <if test="ew.entity.dcGroupBo!=null"> AND DC_GROUP_BO=#{ew.entity.dcGroupBo}</if>
                    <if test="ew.entity.dateTime!=null"> AND DATE_TIME=#{ew.entity.dateTime}</if>
                    <if test="ew.entity.createdDateTime!=null"> AND CREATED_DATE_TIME=#{ew.entity.createdDateTime}</if>
                    <if test="ew.entity.createUser!=null"> AND CREATE_USER=#{ew.entity.createUser}</if>
                    <if test="ew.entity.s1!=null"> AND S1=#{ew.entity.s1}</if>
                    <if test="ew.entity.s2!=null"> AND S2=#{ew.entity.s2}</if>
                    <if test="ew.entity.s3!=null"> AND S3=#{ew.entity.s3}</if>
                    <if test="ew.entity.s4!=null"> AND S4=#{ew.entity.s4}</if>
                    <if test="ew.entity.s5!=null"> AND S5=#{ew.entity.s5}</if>
                    <if test="ew.entity.s6!=null"> AND S6=#{ew.entity.s6}</if>
                    <if test="ew.entity.s7!=null"> AND S7=#{ew.entity.s7}</if>
                    <if test="ew.entity.s8!=null"> AND S8=#{ew.entity.s8}</if>
                    <if test="ew.entity.s9!=null"> AND S9=#{ew.entity.s9}</if>
                    <if test="ew.entity.s10!=null"> AND S10=#{ew.entity.s10}</if>
                    <if test="ew.entity.s11!=null"> AND S11=#{ew.entity.s11}</if>
                    <if test="ew.entity.s12!=null"> AND S12=#{ew.entity.s12}</if>
                    <if test="ew.entity.s13!=null"> AND S13=#{ew.entity.s13}</if>
                    <if test="ew.entity.s14!=null"> AND S14=#{ew.entity.s14}</if>
                    <if test="ew.entity.s15!=null"> AND S15=#{ew.entity.s15}</if>
                    <if test="ew.entity.s16!=null"> AND S16=#{ew.entity.s16}</if>
                    <if test="ew.entity.s17!=null"> AND S17=#{ew.entity.s17}</if>
                    <if test="ew.entity.s18!=null"> AND S18=#{ew.entity.s18}</if>
                    <if test="ew.entity.s19!=null"> AND S19=#{ew.entity.s19}</if>
                    <if test="ew.entity.s20!=null"> AND S20=#{ew.entity.s20}</if>
                    <if test="ew.entity.s21!=null"> AND S21=#{ew.entity.s21}</if>
                    <if test="ew.entity.s22!=null"> AND S22=#{ew.entity.s22}</if>
                    <if test="ew.entity.s23!=null"> AND S23=#{ew.entity.s23}</if>
                    <if test="ew.entity.s24!=null"> AND S24=#{ew.entity.s24}</if>
                    <if test="ew.entity.s25!=null"> AND S25=#{ew.entity.s25}</if>
                    <if test="ew.entity.s26!=null"> AND S26=#{ew.entity.s26}</if>
                    <if test="ew.entity.s27!=null"> AND S27=#{ew.entity.s27}</if>
                    <if test="ew.entity.s28!=null"> AND S28=#{ew.entity.s28}</if>
                    <if test="ew.entity.s29!=null"> AND S29=#{ew.entity.s29}</if>
                    <if test="ew.entity.s30!=null"> AND S30=#{ew.entity.s30}</if>
                    <if test="ew.entity.n1!=null"> AND N1=#{ew.entity.n1}</if>
                    <if test="ew.entity.n2!=null"> AND N2=#{ew.entity.n2}</if>
                    <if test="ew.entity.n3!=null"> AND N3=#{ew.entity.n3}</if>
                    <if test="ew.entity.n4!=null"> AND N4=#{ew.entity.n4}</if>
                    <if test="ew.entity.n5!=null"> AND N5=#{ew.entity.n5}</if>
                    <if test="ew.entity.n6!=null"> AND N6=#{ew.entity.n6}</if>
                    <if test="ew.entity.n7!=null"> AND N7=#{ew.entity.n7}</if>
                    <if test="ew.entity.n8!=null"> AND N8=#{ew.entity.n8}</if>
                    <if test="ew.entity.n9!=null"> AND N9=#{ew.entity.n9}</if>
                    <if test="ew.entity.n10!=null"> AND N10=#{ew.entity.n10}</if>
                    <if test="ew.entity.n11!=null"> AND N11=#{ew.entity.n11}</if>
                    <if test="ew.entity.n12!=null"> AND N12=#{ew.entity.n12}</if>
                    <if test="ew.entity.n13!=null"> AND N13=#{ew.entity.n13}</if>
                    <if test="ew.entity.n14!=null"> AND N14=#{ew.entity.n14}</if>
                    <if test="ew.entity.n15!=null"> AND N15=#{ew.entity.n15}</if>
                    <if test="ew.entity.n16!=null"> AND N16=#{ew.entity.n16}</if>
                    <if test="ew.entity.n17!=null"> AND N17=#{ew.entity.n17}</if>
                    <if test="ew.entity.n18!=null"> AND N18=#{ew.entity.n18}</if>
                    <if test="ew.entity.n19!=null"> AND N19=#{ew.entity.n19}</if>
                    <if test="ew.entity.n20!=null"> AND N20=#{ew.entity.n20}</if>
                    <if test="ew.entity.n21!=null"> AND N21=#{ew.entity.n21}</if>
                    <if test="ew.entity.n22!=null"> AND N22=#{ew.entity.n22}</if>
                    <if test="ew.entity.n23!=null"> AND N23=#{ew.entity.n23}</if>
                    <if test="ew.entity.n24!=null"> AND N24=#{ew.entity.n24}</if>
                    <if test="ew.entity.n25!=null"> AND N25=#{ew.entity.n25}</if>
                    <if test="ew.entity.n26!=null"> AND N26=#{ew.entity.n26}</if>
                    <if test="ew.entity.n27!=null"> AND N27=#{ew.entity.n27}</if>
                    <if test="ew.entity.n28!=null"> AND N28=#{ew.entity.n28}</if>
                    <if test="ew.entity.n29!=null"> AND N29=#{ew.entity.n29}</if>
                    <if test="ew.entity.n30!=null"> AND N30=#{ew.entity.n30}</if>
                </if>
                <if test="ew!=null and ew.sqlSegment!=null and ew.nonEmptyOfWhere">
                    ${ew.sqlSegment}
                </if>
            </if>
        </where>
        <if test="ew!=null and ew.sqlSegment!=null and ew.emptyOfWhere">
            ${ew.sqlSegment}
        </if>
    </delete>

    <delete id="deleteBatchIds">
        DELETE FROM Z_EDC_DATA_RESOURCE WHERE HANDLE IN (
        <foreach item="item" index="index" collection="coll" separator=",">#{item}
        </foreach>)
    </delete>
    <!-- BaseMapper标准查询/修改/删除 -->

    <!--自定义sql-->

    <!--查找设备关联的数据收集组-->
    <select id="getDcGroupBoByResourceBo" resultType="java.lang.String">
        SELECT
            AT.ATTACHED_FROM_GBO
        FROM
            ATTACHED A
            INNER JOIN ATTACHMENT AT ON AT.HANDLE = A.ATTACHMENT_BO
        WHERE A.ATTACHED_TO_GBO = #{resourceBo}
    </select>
    <select id="getDcGroupBoByResourceBo2" resultType="java.lang.String">
        SELECT
            AT.ATTACHED_FROM_GBO
        FROM
            ATTACHED A
            INNER JOIN ATTACHMENT AT ON AT.HANDLE = A.ATTACHMENT_BO
        WHERE
            A.ATTACHED_TO_GBO = ( SELECT RTR.RESOURCE_TYPE_BO FROM RESOURCE_TYPE_RESOURCE RTR WHERE RTR.RESOURCE_BO = #{resourceBo} )
    </select>

    <insert id="insertBySql" >
        ${sqlStr}
    </insert>

    <!--自定义sql-->



</mapper>
